/// <reference types="react" />
import { BaseWidget } from "./common/BaseWidget";
import "./DiagramWidget.scss";
import { DiagramState } from "../model/DiagramState";
import { OnChangeFunction } from "../types/FunctionType";
import { OpType } from "../model/MindMapModelModifier";
export interface MindDiagramWidgetProps {
    diagramState: DiagramState;
    onChange: OnChangeFunction;
}
export declare class DiagramWidget<P extends MindDiagramWidgetProps> extends BaseWidget<MindDiagramWidgetProps> {
    constructor(props: MindDiagramWidgetProps);
    op: (opType: OpType, nodeKey?: string, arg?: any) => void;
    render(): JSX.Element;
}
