/// <reference types="react" />
import { BaseWidget } from "./common/BaseWidget";
import { DiagramState } from "../model/DiagramState";
import { OpFunction } from "../types/FunctionType";
export interface MindNodeLayerWidgetProps {
    diagramState: DiagramState;
    op: OpFunction;
    saveRef?: Function;
    getRef?: Function;
    setViewBoxScroll: (left: number, top: number) => void;
    setViewBoxScrollDelta: (left: number, top: number) => void;
}
export declare class NodeLayerWidget<P extends MindNodeLayerWidgetProps> extends BaseWidget<MindNodeLayerWidgetProps, DiagramState> {
    constructor(props: MindNodeLayerWidgetProps);
    render(): JSX.Element;
    renderItems(setViewBoxScroll: any, setViewBoxScrollDelta: any): JSX.Element;
}
