import * as React from "react";
import { NodeKeyType } from "../types/Node";
import { DiagramState } from "../model/DiagramState";
import { NodePopupMenuItemConfig } from "./NodePopupMenuItem";
import { OpType } from "../model/MindMapModelModifier";
import { OpFunction } from "../types/FunctionType";
interface NodePopupMenuProps {
    nodeKey: NodeKeyType;
    diagramState: DiagramState;
    op: OpFunction;
    visible: boolean;
    handleVisibleChange: Function;
    items?: Array<NodePopupMenuItemConfig>;
    saveRef?: Function;
    getRef?: Function;
}
interface NodePopupMenuState {
}
export declare class NodePopupMenu extends React.Component<NodePopupMenuProps, NodePopupMenuState> {
    static defaultProps: {
        items: ({
            icon: string;
            label: string;
            rootCanUse: boolean;
            opType: OpType;
        } | {
            icon: string;
            label: string;
            opType: OpType;
            rootCanUse?: undefined;
        })[];
    };
    componentDidMount(): void;
    componentWillUnmount(): void;
    _handleClick: (event: any) => void;
    root: HTMLElement;
    rootRef: (ref: any) => void;
    render(): JSX.Element;
}
export {};
