import * as React from "react";
interface SaveRefProps {
    children: (saveRef: Function, getRef: Function, registerRefListener: Function) => React.ReactNode;
}
declare type RefListener = (name: string, ref: HTMLElement) => void;
export default class SaveRef extends React.Component<SaveRefProps> {
    getRef: (name: any) => any;
    saveRef: (name: any) => (node: any) => void;
    observers: Map<string, [RefListener]>;
    fireListener: (name: string, ref: HTMLElement) => void;
    registerRefListener: (name: any, listener: RefListener) => void;
    render(): React.ReactNode;
}
export {};
