import * as React from "react";
import { DiagramState } from "../model/DiagramState";
import { NodeKeyType } from "../types/Node";
import "./DefaultNodeContentEditor.scss";
import { OpFunction } from "../types/FunctionType";
interface DefaultNodeContentEditorProps {
    diagramState: DiagramState;
    op: OpFunction;
    nodeKey: NodeKeyType;
    saveRef?: Function;
}
interface DefaultNodeContentEditorState {
}
export declare class DefaultNodeContentEditor extends React.Component<DefaultNodeContentEditorProps, DefaultNodeContentEditorState> {
    constructor(props: any);
    onChange: (value: () => string) => void;
    onMouseDown: (e: any) => void;
    onMouseMove: (e: any) => void;
    shouldComponentUpdate(nextProps: Readonly<DefaultNodeContentEditorProps>, nextState: Readonly<DefaultNodeContentEditorState>, nextContext: any): boolean;
    render(): React.ReactNode;
}
export {};
