import { MindMapModel } from "./MindMapModel";
import { DiagramConfig } from "../config/DiagramConfig";
import { OpType } from "./MindMapModelModifier";
import { NodeKeyType } from "../types/Node";
export declare class DiagramState {
    mindMapModel: MindMapModel;
    config: DiagramConfig;
    constructor(mindMapModel: MindMapModel, config: DiagramConfig);
    static setMindMapModel(state: DiagramState, model: MindMapModel): DiagramState;
    static op(state: DiagramState, opType: OpType, key: NodeKeyType, arg?: any): DiagramState;
    static createWith(mindMapModel: any, config: any): DiagramState;
}
