/// <reference types="react" />
import { BaseWidget } from "./common/BaseWidget";
import { DragScrollWidget } from "./common/DragScrollWidget";
import { DiagramState } from "../model/DiagramState";
import { OpFunction } from "../types/FunctionType";
export interface MindDragScrollWidgetProps {
    diagramState: DiagramState;
    op: OpFunction;
    saveRef?: Function;
    getRef?: Function;
}
export declare class MindDragScrollWidget<P extends MindDragScrollWidgetProps> extends BaseWidget<MindDragScrollWidgetProps> {
    constructor(props: MindDragScrollWidgetProps);
    componentDidMount(): void;
    readonly dragScrollWidget: DragScrollWidget;
    canDragFunc: () => boolean;
    render(): JSX.Element;
}
