import * as React from "react";
import { OpType } from "../model/MindMapModelModifier";
import { DiagramState } from "../model/DiagramState";
import { NodeKeyType } from "../types/Node";
import { OpFunction } from "../types/FunctionType";
export declare type NodePopupMenuItemConfig = {
    icon: string;
    label: string;
    rootCanUse?: boolean;
    opType?: OpType;
};
interface NodePopupMenuItemProps {
    config: NodePopupMenuItemConfig;
    diagramState: DiagramState;
    op: OpFunction;
    nodeKey: NodeKeyType;
}
interface NodePopupMenuItemState {
}
export declare class NodePopupMenuItem extends React.Component<NodePopupMenuItemProps, NodePopupMenuItemState> {
    onClick: (e: any) => void;
    handleEditNotes: () => void;
    render(): JSX.Element;
}
export {};
